body {
    margin: 2em;
    line-height: 1.5;
    font-family: sans-serif;
    font-size: 20px;
}
pre {
    padding-left: 3ch;
    counter-reset: pre;
    white-space: normal;
    tab-size: 2;
    font-family: 'JetBrains Mono', monospace;
    transition: tab-size .8s;
}

@media (min-width: 640px)  {
    pre {
        tab-size: 4;
    }
}
pre code {
    display: list-item;
    counter-increment: pre;
    white-space: pre-wrap;
    font-family: inherit;
}
pre code::marker {
    tab-size: 2;
    color: darkgrey;
    content: counter(pre, decimal-leading-zero) ' ';
}
